-#!/bin/sh
+#!/bin/bash
+
+# Are we using bash on win32? If so source that file and then exit.
+if [ "$OSTYPE" = "cygwin" ]; then
+ source b.win32
+ exit
+fi
+
function getpyver {
if [ "$1" = "15" ]; then
PYVER=2.2
elif [ "$1" = "23" ]; then
PYVER=2.3
+ elif [ "$1" = "24" ]; then
+ PYVER=2.4
else
echo You must specify Python version as first parameter.
exit
SETUP="python$PYVER -u setup.py"
-FLAGS="USE_SWIG=1 SWIG=/opt/swig/bin/swig" # BUILD_GLCANVAS=0"
+FLAGS="USE_SWIG=1 SWIG=/opt/swig/bin/swig"
OTHERFLAGS=""
+PORTFLAGS=""
+
+
+
+if [ "$1" = "gtk1" -o "$1" = "gtk" ]; then
+ PORTFLAGS="WXPORT=gtk UNICODE=0"
+ shift
+elif [ "$1" = "gtk2" ]; then
+ PORTFLAGS="WXPORT=gtk2 UNICODE=1"
+ shift
+fi
+
+FLAGS="$FLAGS $PORTFLAGS"
+
+
# "c" --> clean
# "t" --> touch *.i files
elif [ "$1" = "t" ]; then
shift
- #CMD="set CMD=touch src\*.i; touch contrib\glcanvas\*.i; touch contrib\ogl\*.i; touch contrib\stc\*.i"
CMD='find . -name "*.i" | xargs touch'
# "i" --> install
echo $CMD
eval $CMD
+RC=$?
-
-if [ "$OTHERCMD" != "" ]; then
+if [ "$RC" = "0" -a "$OTHERCMD" != "" ]; then
echo $OTHERCMD
$OTHERCMD
+ RC=$?
fi
+exit $RC